#include <windows.h>

#define I2C_INF_DLL_FILE		L".\\VendorCmdMX.dll"
#define I2C_INF_ID				'Trid'

#pragma once

//I2C access function
typedef LONG(__stdcall * PCII2CBUSREAD)(BYTE * , DWORD & , DWORD & , ULONG &, ULONG & , BOOL, DWORD &);
typedef LONG(__stdcall * PCII2CBUSWRITE)(BYTE * , DWORD & , DWORD & , ULONG &, ULONG & , BOOL, DWORD &);

class CVendorCmd
{
public:
	CVendorCmd(void);
	~CVendorCmd(void);
	BOOL IsLoaded() { return m_bIsLoaded; }
	BOOL Load();
	void Unload();
	BOOL MX_ReadI2C(DWORD dwAddr, DWORD dwSubAddr, BYTE* pData, ULONG ulReadLen);
	BOOL MX_WriteI2C(DWORD dwAddr, DWORD dwSubAddr, BYTE* pData, ULONG ulWriteLen);
	BYTE ConvertHexByteStrToHex(WCHAR* wszVal);
	BYTE ConvertHexCharToHex(WCHAR chVal);

private:
	BOOL				m_bIsLoaded;
	HINSTANCE			m_hMXDevInst;
	PCII2CBUSREAD		m_pfnI2CBusRead;
	PCII2CBUSWRITE		m_pfnI2CBusWrite;
};
